var CreateStartList = function()
{
	var createstartlist = {};
	
	var debug = 0;
	
	// Page initialization
	createstartlist.initPage = function()
	{
		// Step 1
		Events.addEventHandler('step-1', 'wizard-validate', createstartlist.validateStep1);

		// Navigation
		Buttons.addClickHandler('gocancel', Wizard.cancelWizard);
		Buttons.addClickHandler('gorestart', Wizard.restartWizard);
		Buttons.addClickHandler('gonext', Wizard.goNextOnClick);
		Buttons.addClickHandler('goregister', Wizard.goRegister);
		
		// Final registration
		Events.addEventHandler('wizard', 'wizard-submit', createstartlist.submit);

		var url = '../Extraction.servlet?ID='+App.getSessionId();
		url += '&cmd=GetStartPlates';
		url += '&orderDesc=true';		
		Wizard.showLoadingAnimation('Loading items...');
		Wizard.asyncJsonRequest(url, createstartlist.initializeStep1);
	}

	createstartlist.initializeStep1 = function(response)
	{
		var frm = document.forms['meludi'];
		var plates = response.plates;
		
		var startPlate = frm.startPlate;
		if (plates.length > 0)
		{
			for (var i=0; i < plates.length; i++)
			{
				var plate = plates[i];
				var name = (i+1) + ': ' + Strings.encodeTags(plate.name);
				if (plate.sourceItemNames)
				{
					name += ' -- (';
					name += plate.sourceItemNames.length;
					if (plate.numberExtraQiacubeItems)
					{
						name += ' + ' + plate.numberExtraQiacubeItems;
					}
					name += ')';
				}
				if (plate.extractionDate)
				{
					name += ' -- [' + createstartlist.asDate(plate.extractionDate) + ']';
				}
				//var selected = i == (plates.length - 1);
				var selected = true;
				// Only include start DNA plate with item names in annotations
				if (plate.sourceItemNames.length > 0 || (plate.numberExtraQiacubeItems != null && plate.numberExtraQiacubeItems > 0))
				{
					var option = new Option(name, plate.id, selected, selected);
					option.plate = plate;
					option.selected = true
					startPlate.options[startPlate.length] = option;
				}
			}
			//startPlate.options[0].selected = true;
		}
		else
		{
			Wizard.setFatalError('No start DNA plates available.');
			return;
		}
		Doc.show('step-1');
		Doc.show('gocancel');
		Doc.hide('gonext');
		Doc.show('goregister');
		Doc.hide('extractSourceItems');
	}

	createstartlist.validateStep1 = function(event)
	{
		var frm = document.forms['meludi'];
		var startItemList = null;
		var jsonStartPlateIds = [];
		var numSelected = 0;
		for (var i = 0; i < frm.startPlate.length; i++)
		{
			if (frm.startPlate[i].selected)
			{
				var jsonStartPlate = {};
				jsonStartPlate.id = frm.startPlate[i].value;
				jsonStartPlateIds[numSelected] = jsonStartPlate;
				numSelected++;
			}
		}
		if (numSelected == 0)
		{
			event.preventDefault();
		}
	}
	
	createstartlist.submit = function()
	{
		var frm = document.forms['meludi'];
		var startItemList = null;
		var jsonStartPlateIds = [];
		var numSelected = 0;
		for (var i = 0; i < frm.startPlate.length; i++)
		{
			if (frm.startPlate[i].selected)
			{
				var jsonStartPlate = {};
				jsonStartPlate.id = frm.startPlate[i].value;
				jsonStartPlateIds[numSelected] = jsonStartPlate;
				numSelected++;
			}
		}
		if (numSelected == 0)
		{
			event.preventDefault();
		}

		frm.startPlate.disabled = true;

		var submitInfo = {};
		
		submitInfo.startplates = jsonStartPlateIds;

		var url = '../Extraction.servlet?ID='+App.getSessionId();
		url += '&cmd=CreateStartListsFromStartPlates';
		Wizard.showLoadingAnimation('Performing registration...');
		Wizard.asyncJsonRequest(url, createstartlist.submissionResults, 'POST', JSON.stringify(submitInfo));
	}
	
	createstartlist.submissionResults = function(response)
	{
		Wizard.showFinalMessage(response.messages);
		Doc.show('gorestart');
	}


	// Format value as a date in format yyyy-mm-dd
	createstartlist.asDate = function(value)
	{
		if (!value) return '';
		if (value.length == 8)
		{
			value = value.substr(0, 4) + '-' + value.substr(4, 2) + '-' + value.substr(6, 2);
		}
		return value;
	}

	return createstartlist;
}();

Doc.onLoad(CreateStartList.initPage);
