<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.formatter.WellCoordinateFormatter"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="m" uri="/WEB-INF/menu.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%@ taglib prefix="tbl" uri="/WEB-INF/table.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.meludi");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default">
<base:head 
	scripts="~../meludi-2.js,~update_start_list_with_lot_numbers_from_extract.js,js-draw.js" 
	styles="path.css,toolbar.css,~../css/meludi-2.css"
	>

</base:head>
<base:body>
	<p:path><p:pathelement 
		title="MeLuDI" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Update processed start lists with lot numbers from extracts"
		/></p:path>
	
	<div class="content">
	
	<form name="meludi" id="wizard" class="wizard">
	
	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select start item list[s] to update</div>
		<div class="step-content">
	
			<div class="bg-filled-50" style="padding: 2px;">
				This wizard is intended for updating processed start lists created prior to MeLuDI v1.3.2<br>
				with lot numbers stored in their first DNA member item. This is needed in order to make<br>
				the values appear in step two of the "Lab tracking protocol/report copy" wizard, and in the<br>
				optional created protocol/report.<br>
				<br>
				Each processed start item list will be updated as follows:<br>
				<br>
				a. New start list lot number annotations will be set to values of the corresponding annotations for the first DNA extract.<br>
				b. The new extraction operator annotation will not be set, as it was not defined for extracts prior to MeLuDI v1.3.2.<br>
				<br>
				The updated start lists can now be checked in the "Lab tracking protocol/report copy" wizard.<br>
				<br>
			</div>

			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">Start item lists</td>
				<td class="input">
					<select name="startItemList" id="startItemList" multiple size="30"></select>
				</td>
				<td class="status" id="startItemList.status"></td>
				<td class="help">
					<span id="startItemList.message" class="message" ></span>
					Select processed start item list[s] to update.
				</td>
			</tr>
			</table>
			<select name="extractSourceItems" id="extractSourceItems" multiple size="30"></select>
		</div>
	</div>

	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>

	</form>
	</div>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>