<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.formatter.DateFormatter"
	import="net.sf.basedb.util.formatter.Formatter"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.Date"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.meludi");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	final Formatter dateFormat = new DateFormatter("yyyyMMdd");
%>
<base:page type="default" >
<base:head 
	scripts="~../meludi-2.js,~add_new_libprep_kit.js,~../sampleproc/extraction_utils.js" 
	styles="path.css,~../css/meludi-2.css"
	>
<style>
tr.highlight
{
	border-top-width: 1px;
	border-top-style: dotted;
}

#detailsTable
{
	width: 100%; 
	border-collapse: collapse;
	border-bottom-width: 1px;
	border-top-width: 1px;
}

#detailsTable td, #detailsTable th
{
	text-align: center;
	min-width: 5%;
	padding-top: 1px;
	padding-bottom: 1px;
}

#detailsTable .comment
{
	min-width: 10%;
}

#detailsTable .italic
{
	font-style: italic;
}

.nondefault
{
	background: #FFF066;
}
.nondefault:after
{
	content: '›';
}
.nondefault:before
{
	content: '‹';
}
span.status
{
	width: 20px;
	float: right;
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="MeLuDi" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Add new library preparation kit" 
		/></p:path>

	<div class="content">

<!--
	<form name="meludi" action="extraction_protocol2.jsp" method="post" target="_blank" id="wizard" class="wizard">
-->
	<form name="meludi" id="wizard" class="wizard">
		<input type="hidden" name="ID" value="<%=ID%>">
		<input type="hidden" name="hiddenSubmitInfo" value="">
<!--
		<input type="hidden" name="hiddenNumItems" value="">
		<input type="hidden" name="hiddenCounterBalanceInfoRow" value="">
-->

	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Enter lot numbers etc. for the library preparation kit to add</div>
		<div class="step-content">

<!--	
			<div class="bg-filled-50" style="padding: 2px;">
				A "Consumables lot number" file is a text file with rows of tab/comma/semicolon-separated values,<br>
				where each row contains a specification key in first/second column, followed by data columns.<br>
				The file is parsed, assuming known specification keys at the beginning of each row.<br>
				<br>
				The data is then presented in a table with specification keys in a header row, with data<br>
				for each kit on a single row. (Basically, original rows/columns -> columns/rows.)<br>
			</div>
-->

			<table class="step-form">
			<tbody class="section-header">
				<tr>
					<td colspan="4">General</td>
				</tr>
			</tbody>
			<tr class="align-top">
				<td class="prompt">Kit name</td>
				<td class="input">
					<input type="text" name="kitName" id="kitName" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="kitName.status"></td>
				<td class="help">
					<span id="kitName.message" class="message"></span>
					Kit name in format "LP_kit_xxx", "xxx" = zero-filled number.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">TruSight Tumor Library Prep Box 1</td>
				<td class="input">
					<input type="text" name="libraryPrepBox1" id="libraryPrepBox1" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="libraryPrepBox1.status"></td>
				<td class="help">
					<span id="libraryPrepBox1.message" class="message"></span>
					TruSight Tumor Library Prep Box 1 lot number.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">TruSight Tumor Index Kit</td>
				<td class="input">
					<input type="text" name="indexKit" id="indexKit" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexKit.status"></td>
				<td class="help">
					<span id="indexKit.message" class="message"></span>
					TruSight Tumor Index Kit lot number.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">TruSight Tumor Content Set Box 3</td>
				<td class="input">
					<input type="text" name="contentSetBox3" id="contentSetBox3" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="contentSetBox3.status"></td>
				<td class="help">
					<span id="contentSetBox3.message" class="message"></span>
					TruSight Tumor Content Set Box 3 lot number.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">TruSight Tumor Oligo Pool A (FPA)</td>
				<td class="input">
					<input type="text" name="oligoPoolA_FPA" id="oligoPoolA_FPA" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="oligoPoolA_FPA.status"></td>
				<td class="help">
					<span id="oligoPoolA_FPA.message" class="message"></span>
					TruSight Tumor Oligo Pool A (FPA) lot number.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">TruSight Tumor Oligo Pool B (FPB)</td>
				<td class="input">
					<input type="text" name="oligoPoolB_FPB" id="oligoPoolB_FPB" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="oligoPoolB_FPB.status"></td>
				<td class="help">
					<span id="oligoPoolB_FPB.message" class="message"></span>
					TruSight Tumor Oligo Pool B (FPB) lot number.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Oligo Hybridization for Sequencing Reagent 3 (OHS3)</td>
				<td class="input">
					<input type="text" name="oligoHybridizationSequencingReagent3" id="oligoHybridizationSequencingReagent3" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="oligoHybridizationSequencingReagent3.status"></td>
				<td class="help">
					<span id="oligoHybridizationSequencingReagent3.message" class="message"></span>
					Oligo Hybridization for Sequencing Reagent 3 (OHS3) lot number.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Stringent Wash 1 (SW1)</td>
				<td class="input">
					<input type="text" name="stringentWash1_SW1" id="stringentWash1_SW1" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="stringentWash1_SW1.status"></td>
				<td class="help">
					<span id="stringentWash1_SW1.message" class="message"></span>
					Stringent Wash 1 (SW1) lot number.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Extension Ligation Mix 3 (ELM3)</td>
				<td class="input">
					<input type="text" name="extensionLigationMix3" id="extensionLigationMix3" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="extensionLigationMix3.status"></td>
				<td class="help">
					<span id="extensionLigationMix3.message" class="message"></span>
					Extension Ligation Mix 3 (ELM3) lot number.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">PCR Master Mix 2 (PMM2)</td>
				<td class="input">
					<input type="text" name="pcrMasterMix2_PMM2" id="pcrMasterMix2_PMM2" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="pcrMasterMix2_PMM2.status"></td>
				<td class="help">
					<span id="pcrMasterMix2_PMM2.message" class="message"></span>
					PCR Master Mix 2 (PMM2) lot number.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">UB1</td>
				<td class="input">
					<input type="text" name="ub1" id="ub1" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="ub1.status"></td>
				<td class="help">
					<span id="ub1.message" class="message"></span>
					UB1 lot number.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">TDP</td>
				<td class="input">
					<input type="text" name="tdp" id="tdp" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="tdp.status"></td>
				<td class="help">
					<span id="tdp.message" class="message"></span>
					TDP lot number.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Filterplate</td>
				<td class="input">
					<input type="text" name="filterplate" id="filterplate" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="filterplate.status"></td>
				<td class="help">
					<span id="filterplate.message" class="message"></span>
					Filterplate lot number.
				</td>
			</tr>
			<tbody class="section-header">
				<tr>
					<td colspan="4">Index 1 Primers Lot Numbers</td>
				</tr>
			</tbody>
			<tr class="align-top">
				<td class="prompt">ATCACGAC A701</td>
				<td class="input">
					<input type="text" name="indexPrimerA701" id="indexPrimerA701" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA701.status"></td>
				<td class="help">
					<span id="indexPrimerA701.message" class="message"></span>
					A701 lot number (ATCACGAC).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">ACAGTGGT A702</td>
				<td class="input">
					<input type="text" name="indexPrimerA702" id="indexPrimerA702" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA702.status"></td>
				<td class="help">
					<span id="indexPrimerA702.message" class="message"></span>
					A702 lot number (ACAGTGGT).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">CAGATCCA A703</td>
				<td class="input">
					<input type="text" name="indexPrimerA703" id="indexPrimerA703" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA703.status"></td>
				<td class="help">
					<span id="indexPrimerA703.message" class="message"></span>
					A703 lot number (CAGATCCA).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">ACAAACGG A704</td>
				<td class="input">
					<input type="text" name="indexPrimerA704" id="indexPrimerA704" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA704.status"></td>
				<td class="help">
					<span id="indexPrimerA704.message" class="message"></span>
					A704 lot number (ACAAACGG).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">ACCCAGCA A705</td>
				<td class="input">
					<input type="text" name="indexPrimerA705" id="indexPrimerA705" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA705.status"></td>
				<td class="help">
					<span id="indexPrimerA705.message" class="message"></span>
					A705 lot number (ACCCAGCA).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">AACCCCTC A706</td>
				<td class="input">
					<input type="text" name="indexPrimerA706" id="indexPrimerA706" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA706.status"></td>
				<td class="help">
					<span id="indexPrimerA706.message" class="message"></span>
					A706 lot number (AACCCCTC).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">CCCAACCT A707</td>
				<td class="input">
					<input type="text" name="indexPrimerA707" id="indexPrimerA707" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA707.status"></td>
				<td class="help">
					<span id="indexPrimerA707.message" class="message"></span>
					A707 lot number (CCCAACCT).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">CACCACAC A708</td>
				<td class="input">
					<input type="text" name="indexPrimerA708" id="indexPrimerA708" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA708.status"></td>
				<td class="help">
					<span id="indexPrimerA708.message" class="message"></span>
					A708 lot number (CACCACAC).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">GAAACCCA A709</td>
				<td class="input">
					<input type="text" name="indexPrimerA709" id="indexPrimerA709" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA709.status"></td>
				<td class="help">
					<span id="indexPrimerA709.message" class="message"></span>
					A709 lot number (GAAACCCA).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">TGTGACCA A710</td>
				<td class="input">
					<input type="text" name="indexPrimerA710" id="indexPrimerA710" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA710.status"></td>
				<td class="help">
					<span id="indexPrimerA710.message" class="message"></span>
					A710 lot number (TGTGACCA).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">AGGGTCAA A711</td>
				<td class="input">
					<input type="text" name="indexPrimerA711" id="indexPrimerA711" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA711.status"></td>
				<td class="help">
					<span id="indexPrimerA711.message" class="message"></span>
					A711 lot number (AGGGTCAA).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">AGGAGTGG A712</td>
				<td class="input">
					<input type="text" name="indexPrimerA712" id="indexPrimerA712" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA712.status"></td>
				<td class="help">
					<span id="indexPrimerA712.message" class="message"></span>
					A712 lot number (AGGAGTGG).
				</td>
			</tr>
			<tbody class="section-header">
				<tr>
					<td colspan="4">Index 2 Primers Lot Numbers</td>
				</tr>
			</tbody>
			<tr class="align-top">
				<td class="prompt">TGAACCTT A501</td>
				<td class="input">
					<input type="text" name="indexPrimerA501" id="indexPrimerA501" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA501.status"></td>
				<td class="help">
					<span id="indexPrimerA501.message" class="message"></span>
					A501 lot number (TGAACCTT).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">TGCTAAGT A502</td>
				<td class="input">
					<input type="text" name="indexPrimerA502" id="indexPrimerA502" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA502.status"></td>
				<td class="help">
					<span id="indexPrimerA502.message" class="message"></span>
					A502 lot number (TGCTAAGT).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">TGTTCTCT A503</td>
				<td class="input">
					<input type="text" name="indexPrimerA503" id="indexPrimerA503" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA503.status"></td>
				<td class="help">
					<span id="indexPrimerA503.message" class="message"></span>
					A503 lot number (TGTTCTCT).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">TAAGACAC A504</td>
				<td class="input">
					<input type="text" name="indexPrimerA504" id="indexPrimerA504" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA504.status"></td>
				<td class="help">
					<span id="indexPrimerA504.message" class="message"></span>
					A504 lot number (TAAGACAC).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">CTAATCGA A505</td>
				<td class="input">
					<input type="text" name="indexPrimerA505" id="indexPrimerA505" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA505.status"></td>
				<td class="help">
					<span id="indexPrimerA505.message" class="message"></span>
					A505 lot number (CTAATCGA).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">CTAGAACA A506</td>
				<td class="input">
					<input type="text" name="indexPrimerA506" id="indexPrimerA506" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA506.status"></td>
				<td class="help">
					<span id="indexPrimerA506.message" class="message"></span>
					A506 lot number (CTAGAACA).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">TAAGTTCC A507</td>
				<td class="input">
					<input type="text" name="indexPrimerA507" id="indexPrimerA507" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA507.status"></td>
				<td class="help">
					<span id="indexPrimerA507.message" class="message"></span>
					A507 lot number (TAAGTTCC).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">TAGACCTA A508</td>
				<td class="input">
					<input type="text" name="indexPrimerA508" id="indexPrimerA508" class="required" style="width: 95%;" accept="text/plain">
				</td>
				<td class="status" id="indexPrimerA508.status"></td>
				<td class="help">
					<span id="indexPrimerA508.message" class="message"></span>
					A508 lot number (TAGACCTA).
				</td>
			</tr>
			<tbody class="section-header">
				<tr>
					<td colspan="4">Expiration date</td>
				</tr>
			</tbody>
			<tr>
				<td class="prompt">Expiration date</td>
				<td class="input">
					<input type="text" name="expirationDate" id="expirationDate"
						value="<%=dateFormat.format(new Date()) %>" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus=""
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="expirationDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="expirationDate"
							data-date-format="yyyyMMdd"
							data-title="Expiration date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="expirationDate.status"></td>
				<td class="help">
					<span id="expirationDate.message" class="message"></span>
					(YYYYMMDD or MMDD) This date is also used in name of optional file to download
				</td>
			</tr>
			<tbody class="section-header">
				<tr>
					<td colspan="4">Input options</td>
				</tr>
			</tbody>
			<tr>
				<td class="prompt">Reagent lot numbers</td>
				<td class="input">
					<base:button id="clearReagents" title="Clear"
						style="width:10em;" />
				</td>
				<td class="status" id="clearReagents.status"></td>
				<td class="help">
					<span id="clearReagents.message" class="message"></span>
					Clear reagents input fields.
				</td>
			</tr>
			<tr>
				<td class="subprompt">From file</td>
				<td class="input">
					<input type="file" name="reagentFile" id="reagentFile" class="required" style="width: 95%;" accept=".csv,.tsv">
				</td>
				<td class="status" id="reagentFile.status"></td>
				<td class="help">
					<span id="reagentFile.message" class="message"></span>
					Select a CSV file containing lot numbers for the reagents.
				</td>
			</tr>
			<tbody class="section-header">
				<tr>
					<td colspan="4">Output options</td>
				</tr>
			</tbody>
			<tr>
				<td class="prompt">Download reagent lot no. file</td>
				<td class="input">
					<base:button id="downloadReagentLotNoFile" title="Download..."
						image="<%=home + "/images/download.png"%>" style="width:10em;" />
				</td>
				<td class="status" id="downloadReagentLotNoFile.status"></td>
				<td class="help">
					<span id="downloadReagentLotNoFile.message" class="message"></span>
					Download CSV file with current lot numbers for future import/reference, with one row per kit.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<!-- 2. New library preparation kit lot number information -->
<!--
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Consumables lot number details</div>
		<div class="step-content">

			<div class="bg-filled-50" id="detailsConsumablesFileName" style="padding: 2px;"></div>

			<div id="detailsSection"></div>

			<table class="step-form">
			<tr>
				<td class="prompt">Download reagent lot no. file</td>
				<td class="input">
					<base:button id="downloadReagentLotNoFile" title="Download..."
						image="<%=home + "/images/download.png"%>" style="width:10em;" />
				</td>
				<td class="status" id="downloadReagentLotNoFile.status"></td>
				<td class="help">
					<span id="downloadReagentLotNoFile.message" class="message"></span>
					Download file with current lot no.s for future import/reference, with one row per kit.
				</td>
			</tr>
			</table>
		</div>
	</div>
-->
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
<!--
		<td><base:button id="gocreate" title="Create library reagents report" image="<%=home+"/images/import.png"%>" /></td>
-->
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>

	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>